
Redmine - Defect #2844

closed version should not be available in the drop-down menu found in tickets

2009-02-26 04:56 - Thomas Capricelli

Status: Closed Start date: 2009-02-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 0.8.1

Description

When a new ticket is opened, or when editing a ticket, all versions are shown in the "expected version". Although some (most) of

them could be closed. Because of this, it often happen that reporter use the first one..

This is bad because

the version has already been released

the version appears again in the roadmap (with a huge numbers of days late)

the bug needs to be edited by us

Though.. i'm aware there's no real notion of 'closed' version in redmine. My understanding is that versions with date and all related

tickets closed do not appear on the roadmap anymore.. and that's all, right ?

Related issues:

Is duplicate of Redmine - Feature #1245: close versions Closed 2008-05-16

History

#1 - 2009-02-26 06:38 - Anonymous

This is a duplicate of #1666, which is in turn a duplicate of many others :)

I've been using the patch that Artem Vasiliev made in #1676 that was based on some of my original patch.  It works pretty well: you don't explicitly

close versions, but they are considered closed if it is past their due date and they have no open issues.

#2 - 2009-02-26 09:45 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Indeed. See #1245.
